This discussion is archived
3 Replies Latest reply: Aug 14, 2013 10:36 AM by RichardSmith RSS

OWB repository on mysql

Maoro Newbie
Currently Being Moderated

hello

is it possible to have OWB repository on mysql database ? if not is it possible on oracle xe ?

many thanks

  • 1. Re: OWB repository on mysql
    RichardSmith Newbie
    Currently Being Moderated

    No the OWB repository can only be installed in a supported Oracle database, however both mysql and xe can be used as sources or targets by OWB mappings. The two primary reasons only an Oracle supported database can be used for the repository are: 1) Licensing - OWB is licensed as part of Oracle Database 10.2 and higher so that rules out mysql and xe; and, 2) required features - the OWB repository includes java requirements in the database which are not part of either mysql or xe.

  • 2. Re: OWB repository on mysql
    Maoro Newbie
    Currently Being Moderated

    thanks for help Richard

    i have an oracle data source 10gR2 , but creation of any schema like OWB repository is not allowed,

    i am only allowed to read the data and load the Data warehouse;

    shall i install the repository on my own oracle database, and do i require a license in this case ?

    many thanks

  • 3. Re: OWB repository on mysql
    RichardSmith Newbie
    Currently Being Moderated

    I'd recommend reviewing the licensing guide for the database, and/or contact Oracle for questions on the license required before creating your own database. If you are covered by an existing license (paid-for license or OTN developer license) for the database and the database version you're using is listed as supported for creation of the OWB repository then you can certainly go ahead and then connect to the 10gR2 data source.

     

    The current OWB release can use database version 10.2.0.4 thru 12.1 for the repository and runtime. Depending on the version of the database hosting the runtime service, OWB can connect directly (via dblink) to oracle versions from 8.1.7.4 thru 12.1 (I don't believe the full range of versions is possible from any single version except possibly 10.2.0.5, you'd need to check the client/server interoperability note on metalink for supported combinations).

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points